Change a breed
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/breeds/{breedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Holland Lop",
"sort_order": 3
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Holland Lop', sort_order: 3})
};
fetch('https://{organization}.rescueconsole.com/api/animals/breeds/{breedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/breeds/{breedId}"
payload = {
"name": "Holland Lop",
"sort_order": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"breed": {
"id": "<string>",
"species": "dog",
"name": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Breeds
Change a breed
Renames a breed or moves it in the picker. Animals already carrying the old name keep it. Needs admin on Animals.
PATCH
/
api
/
animals
/
breeds
/
{breedId}
Change a breed
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/breeds/{breedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Holland Lop",
"sort_order": 3
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Holland Lop', sort_order: 3})
};
fetch('https://{organization}.rescueconsole.com/api/animals/breeds/{breedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/breeds/{breedId}"
payload = {
"name": "Holland Lop",
"sort_order": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"breed": {
"id": "<string>",
"species": "dog",
"name": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The breed's ID.
Body
application/json
Response
The breed, as it now is.
Show child attributes
Show child attributes